Get team export endpoints, advanced
curl --request POST \
--url https://rest.forestreet.com/v2/teams/{teamId}/endpoints \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"filters": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"version": 2
},
"sortBy": [
{
"field": "name",
"order": "asc"
}
]
}
'import requests
url = "https://rest.forestreet.com/v2/teams/{teamId}/endpoints"
payload = {
"filters": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"version": 2
},
"sortBy": [
{
"field": "name",
"order": "asc"
}
]
}
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
filters: {name: '<string>', description: '<string>', url: '<string>', version: 2},
sortBy: [{field: 'name', order: 'asc'}]
})
};
fetch('https://rest.forestreet.com/v2/teams/{teamId}/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"metadata": {
"teamId": 1,
"pagination": {
"totalItems": 123,
"totalPages": 13,
"currentPage": 1,
"pageSize": 10,
"unfilteredTotalItems": 196,
"unfilteredTotalPages": 20
},
"filters": {
"name": "<string>",
"description": "<string>",
"url": "<string>",
"version": 2
},
"sortBy": [
{}
]
},
"data": [
{
"name": "<string>",
"description": "<string>",
"url": "<string>",
"headers": {},
"version": 2
}
]
}{
"success": false,
"errorCode": "UNAUTHORISED",
"message": "Unauthorized - User not authenticated"
}{
"success": false,
"errorCode": "FORBIDDEN",
"message": "Forbidden - You do not have access to this team"
}Export Endpoints
Get team export endpoints, advanced
Fetch the Export Via API endpoints associated with a specific team
POST
/
v2
/
teams
/
{teamId}
/
endpoints
Get team export endpoints, advanced
Authorizations
apiKeyAuthbearerAuthsessionIdQuery
Pass a static API key for every request, provided by your customer support.
Path Parameters
Required range:
x >= 0Query Parameters
Number of items per page, default is 10, minimum is 1, maximum is 100.
Required range:
1 <= x <= 100Current page number, default is 1.
Required range:
x >= 1Body
application/json
⌘I